import os

def rename_images(directory):
    for filename in os.listdir(directory):
        if filename.lower().endswith(('.png', '.jpg', '.jpeg', '.gif')):
            # Splitting the filename from its extension
            name, extension = os.path.splitext(filename)
            # Constructing the new filename
            new_filename = f"{name}-default-000{extension}"
            # Renaming the file
            os.rename(os.path.join(directory, filename), os.path.join(directory, new_filename))
            print(f"Renamed '{filename}' to '{new_filename}'")

# Set the directory where your images are stored
images_directory = '.'

# Calling the function to rename the images
rename_images(images_directory)

print("All images have been renamed.")

